package com.citygis.common.boot.constant;

public interface constant {
    interface STRING {
        String COMMA = ",";
        String PERIOD = ".";
        String EXCLAMATION = "!";
        String QUERY = "?";
        String COMMA_ZH = "，";
        String PERIOD_ZH = "。";
        String EXCLAMATION_ZH = "！";
        String QUERY_ZH = "？";
    }

    interface DATE {
        /**
         * 默认时间格式
         */
        String DEFAULT_FORMAT = "yyyy-MM-dd HH:mm:ss.ff";
        /**
         * timestamp格式
         */
        String TIMESTAMP_FORMAT = "yyyy-MM-dd HH24:MI:ss.ff";
        /**
         * 简易时间格式
         */
        String SIMPLE_DATE_FORMAT = "yyyyMMddHHmmss";
    }

    interface DIRECTORY {
        String IS_NOT_VALID_DIRECTORY = "不是一个有效目录%n";
        String IS_NOT_EXIST = "路径不存在%n";
        String DIRECTORY_CLEAN_FAIL = "文件[{}]清理失败，也许正在被占用。";
    }

    interface ENUM {
        String VALUE_NOT_BE_NULL = "value值不能为空。";
        String CLASS_NOT_BE_ENUM_OBJECT = "不是一个有效的枚举对象。";
        String CLASS_NOT_BE_ENUM = "不是一个有效枚举类型";
        String NO_MATCH_ENUM_OBJECT = "当前枚举类没有枚举对象。";
    }

    interface FILE {
        String PATH_NOT_EXIST_OR_INVALID = "路径：[{}] 不存在或不是一个有效文件。";
    }

    interface NET_ASSIST {
        String IP_HEADER = "X-Forwarded-For";
        String PROXY_CLIENT_IP_HEADER = "Proxy-Client-IP";
        String WL_PROXY_CLIENT_IP_HEADER = "WL-Proxy-Client-IP";
        String HTTP_CLIENT_IP_HEADER = "HTTP_CLIENT_IP";
        String HTTP_X_FORWARDED_FOR_HEADER = "HTTP_X_FORWARDED_FOR";
        String UNKNOWN = "unknown";
        String WECHAT_BUILT_IN_BROWSER = "micromessenger";
        String[] MOBILE_AGENTS = { "iphone", "android", "phone", "mobile", "wap", "netfront", "java", "opera mobi",
                "opera mini", "ucweb",
                "windows ce", "symbian", "series", "webos", "sony", "blackberry", "dopod", "nokia", "samsung",
                "palmsource", "xda", "pieplus",
                "meizu", "midp", "cldc", "motorola", "foma", "docomo", "up.browser", "up.link", "blazer", "helio",
                "hosin", "huawei", "novarra",
                "coolpad", "webos", "techfaith", "palmsource", "alcatel", "amoi", "ktouch", "nexian", "ericsson",
                "philips", "sagem", "wellcom",
                "bunjalloo", "maui", "smartphone", "iemobile", "spice", "bird", "zte-", "longcos", "pantech", "gionee",
                "portalmmm", "jig browser",
                "hiptop", "benq", "haier", "^lct", "320x320", "240x320", "176x220", "w3c ", "acs-", "alav", "alca",
                "amoi", "audi", "avan", "benq",
                "bird", "blac", "blaz", "brew", "cell", "cldc", "cmd-", "dang", "doco", "eric", "hipt", "inno", "ipaq",
                "java", "jigs", "kddi", "keji", "leno",
                "lg-c", "lg-d", "lg-g", "lge-", "maui", "maxo", "midp", "mits", "mmef", "mobi", "mot-", "moto", "mwbp",
                "nec-", "newt", "noki", "oper",
                "palm", "pana", "pant", "phil", "play", "port", "prox", "qwap", "sage", "sams", "sany", "sch-", "sec-",
                "send", "seri", "sgh-", "shar", "sie-",
                "siem", "smal", "smar", "sony", "sph-", "symb", "t-mo", "teli", "tim-", "tsm-", "upg1", "upsi", "vk-v",
                "voda", "wap-", "wapa", "wapi", "wapp",
                "wapr", "webc", "winw", "winw", "xda", "xda-", "googlebot-mobile" };
    }

    interface PATH {
        String PATH_NOT_EXIST = "路径{}不存在%n";
        String PATH_NOT_VALID_FILE = "路径{}不是一个有效文件%n";
    }
}
