package com.citygis.common.boot.enums;

import lombok.Getter;

/**
 * 用户代理枚举
 */
@Getter
public enum UserAgentTypeEnum {
    UNKNOWN(0, "unknown", "未知"),
    PC(1, "pc", "PC端"),
    BROWSER(2, "browser", "浏览器端"),
    MOBILE(3, "mobile", "移动端"),
    WECHAT(4, "wechat", "微信端");

    private final int value;
    private final String displayName;
    private final String desc;

    UserAgentTypeEnum(int value, String displayName, String desc) {
        this.value = value;
        this.displayName = displayName;
        this.desc = desc;
    }
}